                          Computer Science 101
                               Quiz 4      Name ______________________

1. For each of the following data types, how many bits are used to
   store each variable of the type by the C compiler on the
   systems we use in the lab:

   ____ a. unsigned char


   ____ b. short


2. Circle all of the following variable names that would be ILLEGAL in
   a C program:

   a. _hello                          b. hellNO

   c. 5ello                           d. ShorT


3. Suppose v1 = 7 and v2 = 2 what are the values of the following expressions
   under the assumption that INTEGER ARITHMETIC is used by the computer in
   evaluting them.

   a. v1 + ((5 * v2) / (3 * v1))







   b. ((v1 + 5) * v2) / (3 * v1)






4. The following "C" program has two errors that must be corrected before
   it will compile correctly.  For each line that contains a defect, write
   a corrected version of the line to the right of the defective line.

      #include stdio.h

      int main;
      {
         return(0);
      }

